Name:           libconfuse
Version:        2.5
Release:        1
Summary:        A configuration file parser library

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.nongnu.org/confuse/
Source0:        http://download.savannah.nongnu.org/releases/confuse/confuse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  pkg-config, flex

%description
libConfuse is a configuration file parser library, licensed 
under the terms of the LGPL, and written in C. It supports 
sections and (lists of) values (strings, integers, floats, 
booleans or other sections), as well as some other features 
(such as single/double-quoted strings, environment variable 
expansion, functions and nested include statements). It 
makes it very easy to add configuration file capability to 
a program using a simple API.

The goal of libConfuse is not to be the configuration file 
parser library with a gazillion of features. Instead, it 
aims to be easy to use and quick to integrate with your code. 


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkg-config

%description devel
Development files for %{name}.


%prep
%setup -q -n confuse-%{version}


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
cp -p doc/man/man3/*.3 $RPM_BUILD_ROOT%{_mandir}/man3/
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man3/*


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%doc doc/html
%{_libdir}/libconfuse.a
%{_mandir}/man?/*.*
%{_datadir}/*


%files devel
%defattr(-,root,system,-)
%doc examples/ftpconf.c examples/ftp.conf
%doc examples/simple.c examples/simple.conf
%doc examples/reread.c examples/reread.conf
%{_includedir}/confuse.h
%{_libdir}/libconfuse.la
%{_libdir}/pkgconfig/libconfuse.pc


%changelog
* Tue Dec 18 2007 Michael Perzl <michael@perzl.org> 2.5-1
- First version for AIX5L v5.1 and higher

